Package org.gradle.api.tasks.testing

# Interface AggregateTestReport

All Superinterfaces:
  `Named`, `ReportSpec`

@Incubating public interface AggregateTestReport extends ReportSpec
A container for the inputs of an aggregated test report.

Since:
  7.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskProvider<TestReport>`
  `getReportTask()`
  Contains the `TestReport` task instance which produces this report.
  `Property<String>`
  `getTestSuiteName()`
  Contains the name of the test suite in target projects that this report will aggregate.

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getReportTask

    TaskProvider<TestReport> getReportTask()
    Contains the `TestReport` task instance which produces this report.
    Returns:
      the task instance

  - ### getTestSuiteName

    Property<String> getTestSuiteName()
    Contains the name of the test suite in target projects that this report will aggregate.
    Returns:
      the name of the suite that this report will aggregate.
    Since:
      8.13